### Virtual Method

# Gio SocketConnectable proxy_enumerate

since: 2.26

#### Declaration [src]

    GSocketAddressEnumerator*
    proxy_enumerate (
      GSocketConnectable* connectable
    )

#### Description [src]

Creates a `GSocketAddressEnumerator` for `connectable` that will return a `GProxyAddress` for each of its addresses that you must connect to via a proxy.

If `connectable` does not implement g_socket_connectable_proxy_enumerate(), this will fall back to calling g_socket_connectable_enumerate().

Available since: 2.26

#### Return value

Type: `GSocketAddressEnumerator`

A new `GSocketAddressEnumerator`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.